##
##  dcron.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         dcron
Summary:      Dillon's cron
URL:          http://www.ibiblio.org/pub/Linux/system/daemons/cron/
Vendor:       Free Software Foundation
Packager:     The OpenPKG Project
Distribution: OpenPKG [JUNK]
Group:        System
License:      GPL
Version:      2.3.3
Release:      20020529

#   list of sources
Source0:      http://www.ibiblio.org/pub/Linux/system/daemons/cron/dcron-%{version}.tar.gz
Source1:      rc.dcron
Patch0:       dcron.patch

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020206
PreReq:       OpenPKG, openpkg >= 20020206, MTA, vim
AutoReq:      no
AutoReqProv:  no

%description
    A multi-user cron written from scratch by the author, similar to vixie-cron
    but with significant differences. Attention paid less to feature creep and
    more to usability and reliability.

%prep
    %setup -q
    %patch -p1

%build
    %{l_shtool} subst \
        -e 's;/var/spool/cron/crontabs;%{l_prefix}/var/dcron/crontabs;' \
        -e 's;/usr/lib/sendmail;%{l_prefix}/sbin/sendmail;' \
        -e 's;/usr/bin/vi;%{l_prefix}/bin/vi;' \
        -e 's;/var/run/dcron.pid;%{l_prefix}/var/dcron/dcron.pid;' \
        defs.h
    %{l_make} %{l_mflags -O} \
        CC="%{l_cc}" \
        CFLAGS="%{l_cflags}"

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/etc/rc.d \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1 \
        $RPM_BUILD_ROOT%{l_prefix}/man/man8 \
        $RPM_BUILD_ROOT%{l_prefix}/sbin \
        $RPM_BUILD_ROOT%{l_prefix}/var/dcron/crontabs
    %{l_shtool} install -c -s -m 755 crontab $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_shtool} install -c -s -m 755 crond $RPM_BUILD_ROOT%{l_prefix}/sbin/
    %{l_shtool} install -c -m 644 crontab.1 $RPM_BUILD_ROOT%{l_prefix}/man/man1/
    %{l_shtool} install -c -m 644 crond.8 $RPM_BUILD_ROOT%{l_prefix}/man/man8/
    %{l_shtool} install -c -m 755 -e 's;@l_prefix@;%{l_prefix};' \
        %{SOURCE rc.dcron} $RPM_BUILD_ROOT%{l_prefix}/etc/rc.d/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std} \
        '%attr(4755,root,%{l_mgrp}) %{l_prefix}/bin/crontab'


%files -f files

%clean
  rm -rf $RPM_BUILD_ROOT

